UbixOS V2 2.0

Data Structures | Macros | Typedefs | Functions
mount.h File Reference
`#include <sys/types.h>`
Include dependency graph for mount.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | fsid
struct | statfs
struct | vfs_mountPoint

## Macros
#define | MFSNAMELEN 16 /* length of type name including null */
#define | MNAMELEN 88 /* size of on/from name bufs */

## Typedefs
typedef struct fsid | fsid_t

## Functions
int | vfs_addMount (struct vfs_mountPoint *mp)
struct vfs_mountPoint * | vfs_findMount (char *mountPoint)
int | vfs_mount (int major, int minor, int partition, int fsType, char *mountPoint, char *perms)

## Macro Definition Documentation

## ◆ MFSNAMELEN

#define MFSNAMELEN 16 /* length of type name including null */

Definition at line 34 of file mount.h.

## ◆ MNAMELEN

#define MNAMELEN 88 /* size of on/from name bufs */

Definition at line 35 of file mount.h.

## Typedef Documentation

## ◆ fsid_t

typedef struct fsid fsid_t

## Function Documentation

## ◆ vfs_addMount()

int vfs_addMount | ( | struct vfs_mountPoint * | mp | ) |

Definition at line 102 of file mount.c.

References vitalsStruct::mountPoints, vfs_mountPoint::next, vfs_mountPoint::prev, and systemVitals.

Referenced by vfs_mount().

## ◆ vfs_findMount()

struct vfs_mountPoint* vfs_findMount | ( | char * | mountPoint | ) |

Definition at line 128 of file mount.c.

References vfs_mountPoint::mountPoint, vitalsStruct::mountPoints, vfs_mountPoint::next, NULL, strcmp(), and systemVitals.

Referenced by fopen().

Here is the call graph for this function:

## ◆ vfs_mount()

int vfs_mount | ( | int | major,
|  | int | minor,
|  | int | partition,
|  | int | fsType,
|  | char * | mountPoint,
|  | char * | perms
| ) |  |

Definition at line 45 of file mount.c.

References vfs_mountPoint::device, device_find(), vfs_mountPoint::fs, kfree(), kmalloc(), kprintf(), device_node::minor, vfs_mountPoint::mountPoint, NULL, vfs_mountPoint::partition, vfs_mountPoint::perms, sprintf(), vfs_addMount(), vfsFindFS(), fileSystem::vfsInitFS, and fileSystem::vfsType.

Here is the call graph for this function: